Page MenuHomePhabricator

Add "This page requires JavaScript" notes to special pages in the Translate extension
Closed, ResolvedPublic

Description

This task is about MediaWiki's Translate extension.

If you go to Special:Translate after disabling JavaScript in your browser, you get a clear message:

When you go to Special:AggregateGroups, Special:ManageTranslatorSandbox, Special:PageMigration, Special:PagePreparation, you don't see such an error message even though the pages require JavaScript to function.

dc1367ef78ddcdf201dab9d8e6634f99216c6e17 has an example how to do it. Basically you need to add such HTML element and the CSS to the appropriate CSS/LESS file. The i18n (internationalization) message can be reused.

Bonus points for not-showing any broken-functionality on this pages when JavaScript is not enable. On Special:AggregateGroups the listing should remain, but without all those boxes that are used for editing.

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterAdd "This page requires JavaScript" notes to special pages

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 3 2018, 2:09 PM
Aklapper renamed this task from Add "This page requires JavaScript" notes to Translate's special pages to Add "This page requires JavaScript" notes to special pages in the Translate extension.Jan 3 2018, 4:21 PM
Aklapper updated the task description. (Show Details)
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2017 board.

Change 402037 had a related patch set uploaded (by Eflyjason; owner: Eflyjason):
[mediawiki/extensions/Translate@master] Add "This page requires JavaScript" notes to special pages

https://gerrit.wikimedia.org/r/402037

Change 402037 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Add "This page requires JavaScript" notes to special pages

https://gerrit.wikimedia.org/r/402037

D3r1ck01 moved this task from Backlog to Doing on the good first task board.Jan 26 2018, 4:21 PM
Zoranzoki21 closed this task as Resolved.Jan 28 2018, 7:59 PM